Page MenuHomePhabricator

show Lemma on Special:AllPages
Closed, ResolvedPublic

Description

As a user I want to be able to quickly see what is behind a Lexeme ID on Special:AllPages so I can easily find existing Lexemes.

The entry should be "Lehrerin (L123)" instead of "L123" if Lehrerin is the Lemma.

GIVEN There is a Lexeme with a Lemma X
WHEN I am on Special:AllPages
THEN I see the lemma of the lexeme and the ID
AND they link to the lexeme page

Details:
If there are multiple then show them separated by translatable separator (in English forward slash) in the order in which they are in the Lexeme.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 23 2018, 3:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Ideally we should have : label, language code and lexical category. For instance « gwez (br, noun, L62) » for Lexeme:L62 (or any other presentation and order as long as the informations are here).
This is important because the same lemma often exist in multiple languages and even inside one language, the same lemma can have different category. For instance, "best" in English could be an adjective, an adverb, a noun, and a verb, so at least 4 lexemes, if I understand correctly).

But as a first step, lemma would be already great.

FYI I agree with VIGNERON on what it should look like - but at least something more than the id!

The language could be a superscript, as it is when labels for items in Special:Search are presented in a language different from the interface language, and the form could be a subscript. Borrowing Nicolas's example, L62 could be presented as "gwez <sub>noun</sub> <sup>Breton</sup> (L62)".

@Lydia_Pintscher: to avoid failed expectations, I take there are no expectations/requirements regarding what the "title" attribute of the link would contain?

Lydia_Pintscher triaged this task as High priority.May 24 2018, 8:48 AM

*nod*
Let's later add language and lexical category. However that will be a bit more complicated so let's start with the Lemma at least.

Change 435163 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] [WIP] Introduce EntityLinkFormatterFactory for use with LinkBegin hook.

https://gerrit.wikimedia.org/r/435163

Change 436041 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Show lemma on Special:AllPages

https://gerrit.wikimedia.org/r/436041

Change 435163 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce EntityLinkFormatterFactory for use with LinkBegin hook.

https://gerrit.wikimedia.org/r/435163

Change 436041 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Show lemma on Special:AllPages

https://gerrit.wikimedia.org/r/436041

Change 436811 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Prevent lexeme link formatter from breaking for unknown lexemes

https://gerrit.wikimedia.org/r/436811

Change 436811 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Prevent lexeme link formatter from breaking for unknown lexemes

https://gerrit.wikimedia.org/r/436811

Pablo-WMDE added a subscriber: Pablo-WMDE.EditedJun 4 2018, 1:02 PM

The individual lemmas get marked-up in a single span indicated as UI language.
Yes model: additionally wrap each lemma in a span indicating lemma language, the container span can stay as is, as the message formatting them (slash) is in UI language.

/cc @WMDE-leszek, surfaced here

Change 437498 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Add correct lang attributes to lemmas in links

https://gerrit.wikimedia.org/r/437498

Change 437498 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add correct lang attributes to lemmas in links

https://gerrit.wikimedia.org/r/437498

Liuxinyu970226 removed a subscriber: Liuxinyu970226.
Vvjjkkii renamed this task from show Lemma on Special:AllPages to 1fcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jakob_WMDE as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jakob_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from 1fcaaaaaaa to show Lemma on Special:AllPages.Jul 2 2018, 1:34 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Jakob_WMDE.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jakob_WMDE.
KaMan added a subscriber: KaMan.Jul 31 2018, 8:21 AM